Bio::MAGETAB::Investigation(3)

NAME
Bio::MAGETAB::Investigation - MAGE-TAB investigation class

SYNOPSIS
 use Bio::MAGETAB::Investigation;

DESCRIPTION
This class is used to store top-level information on the investigation in MAGE-TAB. This class also acts as a container for the information in an IDF file. See the BaseClass class for superclass methods.

ATTRIBUTES

title (required)
    The title of the investigation (data type: String).

description (optional)
    A free-text description of the investigation (data type: String).

date (optional)
    The date on which the investigation was performed (data type: Date).

publicReleaseDate (optional)
    The date on which the experimental data was, or will be, publicly released (data type: Date).

contacts (optional)
    A list of contacts for the investigation (data type: Bio::MAGETAB::Contact).

factors (optional)
    A list of experimental factors (variables) studied during the investigation (data type: Bio::MAGETAB::Factor).

sdrfs (optional)
    A list of SDRFs associated with the investigation (data type: Bio::MAGETAB::SDRF).

protocols (optional)
    A list of experimental protocols used in the investigation (data type: Bio::MAGETAB::Protocol)

publications (optional)
    A list of publications related to the investigation (data type: Bio::MAGETAB::Publication).

termSources (optional)
    A list of term sources (usually databases and/or ontologies) used to annotate the investigation (data type: Bio::MAGETAB::TermSource).

designTypes (optional)
    A list of experiment design types, typically taken from a suitable ontology (data type: Bio::MAGETAB::ControlledTerm).

normalizationTypes (optional)
    A list of experiment data normalization types (data type: Bio::MAGETAB::ControlledTerm).

replicateTypes (optional)
    A list of replicate types for the experiment (typically specifying technical and/or biological replicates; date type: Bio::MAGETAB::ControlledTerm).

qualityControlTypes (optional)
    A list of quality control terms describing the experiment (data type: Bio::MAGETAB::ControlledTerm).

comments (optional)
    A list of user-defined comments attached to the investigation (data type: Bio::MAGETAB::Comment).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).